INSTALL_DIR = /usr/local/bin
PYTHON_LIB_DIR = 

cexe:
	@cd c && make feature-based-tracking

doc:
	doxygen

clean:
	@cd c && make clean
	@cd python && rm *.pyc

installpython:
	@echo "========================================="
	@echo "Installing Python modules and scripts"
	@tar cf /tmp/trafficintelligence.tar setup.py README trafficintelligence
	@gzip /tmp/trafficintelligence.tar
	@pip3 install /tmp/trafficintelligence.tar.gz
	@rm /tmp/trafficintelligence.tar.gz
	@cp scripts/* $(INSTALL_DIR)
uploadpython:
	@python setup.py sdist bdist_wheel
	@twine upload dist/* --skip-existing
	#python setup.py sdist upload

install: cexe installpython
	@echo "========================================="
	@echo "Installing for Linux"
	@echo "========================================="
	@echo "Installing feature-based tracking executable"
	@cp bin/feature-based-tracking /usr/local/bin
uninstall:
	@echo "Uninstalling for Linux"
	rm $(INSTALL_DIR)/feature-based-tracking 
	@cd scripts && ./uninstall-scripts.sh $(INSTALL_DIR)
